# Команды для git
## Что понадобится для выполнения
* Аккаунт на [Github](https://github.com)
* Установленный [Git](https://git-scm.com)
## Задача 0
Для решения необходимо будет сделать fork репозитория. И все действия будут производится с ним.
## Задача 1
Необходимо настроить подпись коммитов. И включить ее для последующей работы.
Инструкцию по настройке можно найти по [ссылке](https://help.github.com/articles/managing-commit-signature-verification/)
## Задача 2
* Необходимо сделать Pull Request c добавлением какой-либо команды в [git_commands.md](/git_commands.md) в **master**
## Задача 3
* Необходимо замержить ветку **HH-MERGE** в **RELEASE-MERGE** и сделать Pull Request результирующей ветки в **task3**
## Задача 4
* Необходимо сделать rebase ветки **HH-REBASE** на **RELEASE-REBASE** и сделать Pull Request результирующей ветки в **task4**
## Задача 5 
* Необходимо удалить commit с тегом `For remove `из истории в ветке **HH-COMMIT** и сделать Pull Request результирующей ветки в **task5**
## Задача 6
* Необходимо сделать revert коммита с тегом `For revert` из ветки **HH-REVERT** и сделать Pull Request результирующей ветки в **task6**
## Задача 7
* Добавить тег на любой свой коммит в предудыщих задачах (добавить информацию об этом в Pull Request)
## Задача 8
* Необходимо добавить какой-нибудь файл в InitialCommit в ветке **HH-ADD-FILE** и сделать Pull Request результирующей ветки в **task6**
## Решения
Решения по задачам должны быть оформлены в виде PullRequest. В заголовке должно быть ФИО и номер задачи.
## Результаты
Результаты будут находится в [файле](/results.md). И будут обновляться после получения Pull Request'ов.

## P.S. ссылки из лекции
 - [основной сайт git](https://git-scm.com)
 - [официальная книжка про git](https://git-scm.com/book)
 - [интерактивное знакомство с git]()https://githowto.com)
 - [генератор gitignore](https://www.gitignore.io)
 - [игра git](https://learngitbranching.js.org) 
 - [работа с GitHub](https://github.com/asmeurer/git-workflow)
